package com.ruoyi.szxc.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.szxc.mapper.SzxcTaskRecardMapper;
import com.ruoyi.szxc.domain.SzxcTaskRecard;
import com.ruoyi.szxc.service.ISzxcTaskRecardService;

/**
 * 任务处理记录Service业务层处理
 * 
 * @author hs
 * @date 2024-04-28
 */
@Service
public class SzxcTaskRecardServiceImpl implements ISzxcTaskRecardService 
{
    @Autowired
    private SzxcTaskRecardMapper szxcTaskRecardMapper;

    /**
     * 查询任务处理记录
     * 
     * @param id 任务处理记录主键
     * @return 任务处理记录
     */
    @Override
    public SzxcTaskRecard selectSzxcTaskRecardById(Long id)
    {
        return szxcTaskRecardMapper.selectSzxcTaskRecardById(id);
    }

    /**
     * 查询任务处理记录列表
     * 
     * @param szxcTaskRecard 任务处理记录
     * @return 任务处理记录
     */
    @Override
    public List<SzxcTaskRecard> selectSzxcTaskRecardList(SzxcTaskRecard szxcTaskRecard)
    {
        return szxcTaskRecardMapper.selectSzxcTaskRecardList(szxcTaskRecard);
    }

    /**
     * 新增任务处理记录
     * 
     * @param szxcTaskRecard 任务处理记录
     * @return 结果
     */
    @Override
    public int insertSzxcTaskRecard(SzxcTaskRecard szxcTaskRecard)
    {
        szxcTaskRecard.setCreateTime(DateUtils.getNowDate());
        return szxcTaskRecardMapper.insertSzxcTaskRecard(szxcTaskRecard);
    }

    /**
     * 修改任务处理记录
     * 
     * @param szxcTaskRecard 任务处理记录
     * @return 结果
     */
    @Override
    public int updateSzxcTaskRecard(SzxcTaskRecard szxcTaskRecard)
    {
        szxcTaskRecard.setUpdateTime(DateUtils.getNowDate());
        return szxcTaskRecardMapper.updateSzxcTaskRecard(szxcTaskRecard);
    }

    /**
     * 批量删除任务处理记录
     * 
     * @param ids 需要删除的任务处理记录主键
     * @return 结果
     */
    @Override
    public int deleteSzxcTaskRecardByIds(Long[] ids)
    {
        return szxcTaskRecardMapper.deleteSzxcTaskRecardByIds(ids);
    }

    /**
     * 删除任务处理记录信息
     * 
     * @param id 任务处理记录主键
     * @return 结果
     */
    @Override
    public int deleteSzxcTaskRecardById(Long id)
    {
        return szxcTaskRecardMapper.deleteSzxcTaskRecardById(id);
    }
}
